Subject: Re: nncp-bundle, nncp-caller, and .seen not working?

From: Sergey Matveev <[email-masked]>
Date: Sat, 2 Jan 2021 16:04:47 +0300

*** John Goerzen [2020-12-31 23:39]:
>I'm not familiar with Merkle trees, but one solution to this would be to hash
>it in the order it's written at verification time: save the first 128K in
>RAM, read the rest, and when you're at EOF, supply that first 128K to the
>hasher and then you'd have your calculation.

Of course that is also solution and very simple one indeed. But just no
so beautiful and elegant like general tree hashing mode. Current hashing
even compatible with ordinary b2sum commands, but tree hashing of course
is won't be anymore too. Soon will look at all of this closer.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF